Package org.opensaml.soap.wssecurity

# Interface WSSecurityObject

All Superinterfaces:
  `XMLObject`

All Known Subinterfaces:
  `AttributedDateTime`, `AttributedString`, `AttributedURI`, `BinarySecurityToken`, `Created`, `Embedded`, `EncodedString`, `EncryptedHeader`, `Expires`, `Iteration`, `KeyIdentifier`, `Nonce`, `Password`, `Reference`, `Salt`, `Security`, `SecurityTokenReference`, `SignatureConfirmation`, `Timestamp`, `TransformationParameters`, `Username`, `UsernameToken`

All Known Implementing Classes:
  `AbstractWSSecurityObject`, `AttributedDateTimeImpl`, `AttributedStringImpl`, `AttributedURIImpl`, `BinarySecurityTokenImpl`, `CreatedImpl`, `EmbeddedImpl`, `EncodedStringImpl`, `EncryptedHeaderImpl`, `ExpiresImpl`, `IterationImpl`, `KeyIdentifierImpl`, `NonceImpl`, `PasswordImpl`, `ReferenceImpl`, `SaltImpl`, `SecurityImpl`, `SecurityTokenReferenceImpl`, `SignatureConfirmationImpl`, `TimestampImpl`, `TransformationParametersImpl`, `UsernameImpl`, `UsernameTokenImpl`

public interface WSSecurityObject extends XMLObject
WSSecurityObject is the base interface for all the WS-Security elements.

## Method Summary

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`